From 8c477fb8782d9ebffcd0a17eba7a4a99c918df23 Mon Sep 17 00:00:00 2001
From: Ilya Demyanov <turbidit@gmail.com>
Date: Tue, 5 Jul 2022 15:30:31 +0300
Subject: [PATCH] epm play: add draw.io support

---
 play.d/draw.io.sh   | 17 +++++++++++++++++
 repack.d/draw.io.sh | 12 ++++++++++++
 2 files changed, 29 insertions(+)
 create mode 100755 play.d/draw.io.sh
 create mode 100755 repack.d/draw.io.sh

diff --git a/play.d/draw.io.sh b/play.d/draw.io.sh
new file mode 100755
index 00000000..9e3c65fa
--- /dev/null
+++ b/play.d/draw.io.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+PKGNAME=draw.io
+DESCRIPTION="diagrams.net desktop"
+
+
+. $(dirname $0)/common.sh
+
+[ "$($DISTRVENDOR -a)" != "x86_64" ] && echo "Only x86_64 is supported" && exit 1
+
+
+arch=amd64
+pkgtype=deb
+
+PKG=$(epm tool eget --list --latest https://github.com/jgraph/drawio-desktop/releases "drawio-$arch-[[:digit:]]*.$pkgtype") || fatal "Can't get package URL"
+
+epm install "$PKG"
diff --git a/repack.d/draw.io.sh b/repack.d/draw.io.sh
new file mode 100755
index 00000000..b01e864b
--- /dev/null
+++ b/repack.d/draw.io.sh
@@ -0,0 +1,12 @@
+#!/bin/sh -x
+
+# It will be run with two args: buildroot spec
+BUILDROOT="$1"
+SPEC="$2"
+
+PRODUCT=draw.io
+PRODUCTDIR=/opt/drawio/
+
+. $(dirname $0)/common-chromium-browser.sh
+
+fix_chrome_sandbox
-- 
2.24.1